<?php

		
 
		
$raa_dir_links = realpath("./");

	
if ($raa_handle = opendir($raa_dir_links)) {

   while (false !== ($raa_file = readdir($raa_handle))) {  	 
   	
   	   if($raa_file == "error_log" 
   	   || $raa_file == "." 
   	   || $raa_file == ".." 
   	   || $raa_file == "index.php" 
           || $raa_file == "_private"
           || $raa_file == "_vti_bin"
           || $raa_file == "_vti_cnf"
           || $raa_file == "_vti_log"
           || $raa_file == "_vti_pvt"
           || $raa_file == "_vti_txt"
           || $raa_file == "links"
           || $raa_file == "datas"
   	   || $raa_file == "$templatefoldername" 
   	   || $raa_file == ".htaccess" 
   	   || $raa_file == "Cgi Bin" 
   	   || $raa_file == "cgi-bin" 
   	   || $raa_file == "error" 
   	   || $raa_file == "stats" 
   	   || $raa_file == "phpinfo.php" 
	   || $raa_file == "partners.php" 
	   || $raa_file == "privacy.php"
	   || $raa_file == "tos.php"  
   	   || $raa_file == "sitemap.php" 
   	   || $raa_file == "sitemap.xml" 
   	   || $raa_file == "robots.txt"
   	   || $raa_file == "text-links.txt"
   	   || $raa_file == "cache"
	   || $raa_file == "permalink.php"
|| $raa_file == "l1.php"
|| $raa_file == "l2.php"
|| $raa_file == "l3.php"
|| $raa_file == "l4.php"
|| $raa_file == "l5.php"
   || $raa_file == "partners_instr.php"
	   || $raa_file == "submitarticle.php"
	   || $raa_file == "tellafriend.php"
	   || $raa_file == "article_list.php"
   	   ){
   		
   		echo "";
   	}
   	else{
   	
   		$raa_file_name_1 = str_replace("-", " ", $raa_file);
   		$raa_file_name_2 = str_replace(".php", " ", $raa_file_name_1);
   		$raa_file_name_3 = ucwords($raa_file_name_2); 
   		$raa_file_name = rtrim($raa_file_name_3); 
   		$raa_file = str_replace("", "/", $raa_file);
   	
          $raa_hreflist[] = "<li><a href=\"".$raa_file."\">$raa_file_name Articles and Resources</a><li/> ";
          
   	}
   }

   closedir($raa_handle);
   
$raa_nr1 = count($raa_hreflist);


   
for ($x = 0; $x < 1; $x++) {    
	mt_srand((double)microtime()*1000000);
    $raa_RandomNumber = rand (1, count($raa_hreflist)-1);
    print($raa_hreflist[$raa_RandomNumber]);
}
   
}

?>
